<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\TempLiveReading;
use App\Models\User;

class TempLiveReadingPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any TempLiveReading');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, TempLiveReading $templivereading): bool
    {
        return $user->checkPermissionTo('view TempLiveReading');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create TempLiveReading');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, TempLiveReading $templivereading): bool
    {
        return $user->checkPermissionTo('update TempLiveReading');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, TempLiveReading $templivereading): bool
    {
        return $user->checkPermissionTo('delete TempLiveReading');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any TempLiveReading');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, TempLiveReading $templivereading): bool
    {
        return $user->checkPermissionTo('restore TempLiveReading');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any TempLiveReading');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, TempLiveReading $templivereading): bool
    {
        return $user->checkPermissionTo('replicate TempLiveReading');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder TempLiveReading');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, TempLiveReading $templivereading): bool
    {
        return $user->checkPermissionTo('force-delete TempLiveReading');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any TempLiveReading');
    }
}
